# Uses of Interface
java.lang.classfile.instruction.LoadInstruction

Packages that use LoadInstruction
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of LoadInstruction in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return LoadInstruction
Modifier and Type
Method
Description
`static LoadInstruction`
LoadInstruction.`of(Opcode op, int slot)`
Returns a local variable load instruction.
`static LoadInstruction`
LoadInstruction.`of(TypeKind kind, int slot)`
Returns a local variable load instruction.